part of yomp_yaml_tester;

void test_decode_basic_keys() {

	group('decode basic keys -', () {
		test('string values',() {
			String str = '''
name: YAML parser
type: library
''';
			Map mp = yyaml.decode(str);
			expect(mp.length,2);
			expect(mp.keys,['name','type']);
			expect(mp.values,['YAML parser','library']);
		});
		test('string values opposite order',() {
			String str = '''
type: library
name: YAML parser
''';
			Map mp = yyaml.decode(str);
			expect(mp.length,2);
			expect(mp.keys,['type','name']);
			expect(mp.values,['library','YAML parser']);
		});
	});
}