part of yomp_yaml_tester;

void test_encode_basic_map() {

	group('encode basic map -', () {
		test('string keys and values',() {
			String str = '''
name:YAML parser
type:library
''';
			Map mp = new Map();
			mp['name'] = 'YAML parser';
			mp['type'] = 'library';
			String res = yyaml.encode(mp);
			expect(res,str);
		});
		test('string values opposite order',() {
			String str = '''
type:library
name:YAML parser
''';
			Map mp = new Map();
			mp['type'] = 'library';
			mp['name'] = 'YAML parser';
			String res = yyaml.encode(mp);
			expect(res,str);
		});
	});
}